Bug 741134 - Systemd service file for apache derby
Summary: Systemd service file for apache derby
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: derby
Version: 18
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Andy Grimm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-25 21:10 UTC by Thomas Meyer
Modified: 2016-11-08 03:45 UTC (History)
3 users (show)

Fixed In Version: derby-10.9.1.0-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-12 19:15:12 UTC


Attachments (Terms of Use)
derby.service (337 bytes, text/plain)
2011-09-25 21:10 UTC, Thomas Meyer
no flags Details
environemnt file, defining the classpath for java (628 bytes, text/plain)
2011-09-25 21:10 UTC, Thomas Meyer
no flags Details
updated service file (991 bytes, application/octet-stream)
2011-11-28 18:14 UTC, Thomas Meyer
no flags Details

Description Thomas Meyer 2011-09-25 21:10:03 UTC
Created attachment 524801 [details]
derby.service

Description of problem:

see attachments.

a new user "derby" needs to be created with /sbin/nologin and home dir /var/lib/derby.

Comment 1 Thomas Meyer 2011-09-25 21:10:47 UTC
Created attachment 524802 [details]
environemnt file, defining the classpath for java

Comment 2 Thomas Meyer 2011-11-28 18:14:41 UTC
Created attachment 537589 [details]
updated service file

1.) fixed stop of derby daemon.
2.) removed environment file.
3.) derby user still needs to be created.

Comment 3 Fedora Admin XMLRPC Client 2012-10-10 13:34:31 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Fedora Admin XMLRPC Client 2012-10-10 13:35:05 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 5 Fedora End Of Life 2013-01-16 09:55:38 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Fedora End Of Life 2013-02-13 07:55:13 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 7 Thomas Meyer 2013-02-24 16:36:17 UTC
Are there any reason to not include my systemd unit file in the fedora derby pacakge?

Comment 8 Andy Grimm 2013-02-26 03:22:19 UTC
Hi, Thomas.  I've added this to the new version.  There's a build pending here:

http://koji.fedoraproject.org/koji/taskinfo?taskID=5055877

Comment 9 Mat Booth 2013-08-12 19:15:12 UTC
Should be fixed in F19 and F20:

http://koji.fedoraproject.org/koji/buildinfo?buildID=398403


Note You need to log in before you can comment on or make changes to this bug.